#norootforbuild

#
# spec file for package Role_Web (Version 1.1.1)
#
# Copyright (c) 2007 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bug fixes or comments via http://bugs.opensuse.org/
#

%define peardir %(pear config-get php_dir 2> /dev/null)
%define xmldir  /var/lib/pear

Summary: Web role for the PEAR installer
Name: php5-pear-role_web
Version: 1.1.1
Release: 1.2
License: PHP License
Group: Development/Libraries/Other
Source0: http://pearified.com/get/Role_Web-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-build
URL: http://pearified.com/package/Role_Web
BuildRequires: php5-pear php5-tokenizer php5-pear-channel-pearified_com
PreReq: php5-pear php5-tokenizer php5-pear-channel-pearified_com
BuildArch: noarch

%description

The Web role installs files into a specified web document directory. Users
are strongly encouraged
  to use DocumentRoot/webpear as the path for the web_dir value.

%prep

%setup -c -T

pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -s

%build

%install

pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Role_Web.xml

%clean

rm -rf %{buildroot}

%post

pear install --nodeps --soft --force --register-only %{xmldir}/Role_Web.xml

%postun

if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pearified.com/Role_Web
fi

%files

%defattr(-,root,root)

%{peardir}/*
%{xmldir}/Role_Web.xml
